Introduction

Release notes

Each release of the API publishes its description, the generated clients and this documentation together. The notes list the API changes between two releases. ⚠️ marks a change that can break an existing client.

v1.12.0

Released on 2026-10-27. Changes since v1.11.0.

No API changes.

v1.11.0

Released on 2026-10-27. Changes since v1.10.0.

No API changes.

v1.10.0

Released on 2026-10-27. Changes since v1.9.0.

GET /collection/events/{lockerUid}

  • endpoint added

GET /locker-groups

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

POST /locker-groups

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '409'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'

GET /locker-groups/types

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

DELETE /locker-groups/{uid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

GET /locker-groups/{uid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the media type 'application/json' for the response with the status '404'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

PATCH /locker-groups/{uid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

DELETE /locker-groups/{uid}/lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '400'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

POST /locker-groups/{uid}/lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '409'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

POST /locker/event

  • ⚠️ removed the optional property 'error' from the response with the '400' status
  • ⚠️ removed the optional property 'error' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • added the required property 'message' to the response with the '400' status
  • added the required property 'message' to the response with the '401' status

GET /locker/events/{lockerUid}

  • endpoint added

GET /lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ added '#/components/schemas/features, subschema #2' to the '/items/features' response property 'oneOf' list for the response status '200'
  • ⚠️ the '/items/carrier' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ the '/items/compartmentTypes/items/size' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/features' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • ⚠️ the '/items/metadata' response's property type/format changed from 'array'/'' to 'array, null'/'' for status '200'
  • ⚠️ the '/items/provider' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ removed the optional property '/items/features/hasPinBarcodeReader' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasPinPad' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasScreen' from the response with the '200' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ added the new 'undefined' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • added the new optional 'query' request parameter 'ownedBy'
  • added the optional property '/items/carrier/activationDate' to the response with the '200' status
  • added the optional property '/items/carrier/status' to the response with the '200' status
  • added the optional property '/items/provider/lockerName' to the response with the '200' status
  • added the optional property '/items/provider/lockerUid' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • removed '#/components/schemas/carrier, subschema #2' from the '/items/carrier' response property 'allOf' list for the response status '200'
  • removed '#/components/schemas/provider, subschema #2' from the '/items/provider' response property 'allOf' list for the response status '200'
  • the response property '/items/carrier' became required for the status '200'
  • the response property '/items/location' became required for the status '200'
  • the response property '/items/provider' became required for the status '200'
  • the response property '/items/uid' became required for the status '200'
  • the response property 'errorCode' became required for the status '400'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • added the required property '/items/carrier/lockerId' to the response with the '200' status
  • added the required property '/items/carrier/lockerName' to the response with the '200' status
  • added the required property '/items/provider/lockerModel' to the response with the '200' status
  • added the required property '/items/provider/lockerVersion' to the response with the '200' status
  • added the required property '/items/provider/name' to the response with the '200' status
  • added the required property '/items/provider/status' to the response with the '200' status

POST /lockers

  • ⚠️ added '#/components/schemas/carrier, subschema #2' to the 'carrier' request property 'allOf' list
  • ⚠️ added '#/components/schemas/provider, subschema #2' to the 'provider' request property 'allOf' list
  • ⚠️ the request property 'metadata/items/key' became required
  • ⚠️ the request property 'metadata/items/value' became required
  • ⚠️ the 'carrier' request property type/format changed from 'object'/'' to ''/''
  • ⚠️ the 'metadata/items/key' request property type/format changed from 'string, null'/'' to 'string'/''
  • ⚠️ the 'metadata/items/value' request property type/format changed from 'string, null'/'' to 'string'/''
  • ⚠️ the 'provider' request property type/format changed from 'object'/'' to ''/''
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ added '#/components/schemas/features, subschema #2' to the 'features' response property 'oneOf' list for the response status '201'
  • ⚠️ the 'carrier' response's property type/format changed from ''/'' to 'object'/'' for status '201'
  • ⚠️ the 'compartmentTypes/items/size' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '201'
  • ⚠️ the 'features' response's property type/format changed from 'object'/'' to ''/'' for status '201'
  • ⚠️ the 'metadata' response's property type/format changed from 'array'/'' to 'array, null'/'' for status '201'
  • ⚠️ the 'provider' response's property type/format changed from ''/'' to 'object'/'' for status '201'
  • ⚠️ removed the request property 'carrier/activationDate'
  • ⚠️ removed the request property 'carrier/lockerId'
  • ⚠️ removed the request property 'carrier/lockerName'
  • ⚠️ removed the request property 'provider/lockerModel'
  • ⚠️ removed the request property 'provider/lockerVersion'
  • ⚠️ removed the request property 'provider/name'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'features/hasPinBarcodeReader' from the response with the '201' status
  • ⚠️ removed the optional property 'features/hasPinPad' from the response with the '201' status
  • ⚠️ removed the optional property 'features/hasScreen' from the response with the '201' status
  • ⚠️ added the new 'undefined' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • added the non-success response with the status '404'
  • added the optional property 'carrier/activationDate' to the response with the '201' status
  • added the optional property 'carrier/status' to the response with the '201' status
  • added the optional property 'provider/lockerName' to the response with the '201' status
  • added the optional property 'provider/lockerUid' to the response with the '201' status
  • added the optional property 'request_id' to the response with the '401' status
  • removed '#/components/schemas/carrier, subschema #2' from the 'carrier' response property 'allOf' list for the response status '201'
  • removed '#/components/schemas/provider, subschema #2' from the 'provider' response property 'allOf' list for the response status '201'
  • the response property 'carrier' became required for the status '201'
  • the response property 'errorCode' became required for the status '400'
  • the response property 'location' became required for the status '201'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'provider' became required for the status '201'
  • the response property 'uid' became required for the status '201'
  • added the required property 'carrier/lockerId' to the response with the '201' status
  • added the required property 'carrier/lockerName' to the response with the '201' status
  • added the required property 'provider/lockerModel' to the response with the '201' status
  • added the required property 'provider/lockerVersion' to the response with the '201' status
  • added the required property 'provider/name' to the response with the '201' status
  • added the required property 'provider/status' to the response with the '201' status

GET /lockers/by-carrier-locker-id

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ added '#/components/schemas/features, subschema #2' to the '/items/features' response property 'oneOf' list for the response status '200'
  • ⚠️ the '/items/carrier' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ the '/items/compartmentTypes/items/size' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/features' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • ⚠️ the '/items/metadata' response's property type/format changed from 'array'/'' to 'array, null'/'' for status '200'
  • ⚠️ the '/items/provider' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ removed the optional property '/items/features/hasPinBarcodeReader' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasPinPad' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasScreen' from the response with the '200' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ added the new 'undefined' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • added the optional property '/items/carrier/activationDate' to the response with the '200' status
  • added the optional property '/items/carrier/status' to the response with the '200' status
  • added the optional property '/items/provider/lockerName' to the response with the '200' status
  • added the optional property '/items/provider/lockerUid' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • removed '#/components/schemas/carrier, subschema #2' from the '/items/carrier' response property 'allOf' list for the response status '200'
  • removed '#/components/schemas/provider, subschema #2' from the '/items/provider' response property 'allOf' list for the response status '200'
  • the response property '/items/carrier' became required for the status '200'
  • the response property '/items/location' became required for the status '200'
  • the response property '/items/provider' became required for the status '200'
  • the response property '/items/uid' became required for the status '200'
  • the response property 'errorCode' became required for the status '400'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • added the required property '/items/carrier/lockerId' to the response with the '200' status
  • added the required property '/items/carrier/lockerName' to the response with the '200' status
  • added the required property '/items/provider/lockerModel' to the response with the '200' status
  • added the required property '/items/provider/lockerVersion' to the response with the '200' status
  • added the required property '/items/provider/name' to the response with the '200' status
  • added the required property '/items/provider/status' to the response with the '200' status

GET /lockers/by-uid

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ added '#/components/schemas/features, subschema #2' to the '/items/features' response property 'oneOf' list for the response status '200'
  • ⚠️ the '/items/carrier' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ the '/items/compartmentTypes/items/size' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/features' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • ⚠️ the '/items/metadata' response's property type/format changed from 'array'/'' to 'array, null'/'' for status '200'
  • ⚠️ the '/items/provider' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ removed the optional property '/items/features/hasPinBarcodeReader' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasPinPad' from the response with the '200' status
  • ⚠️ removed the optional property '/items/features/hasScreen' from the response with the '200' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ added the new 'undefined' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • added the optional property '/items/carrier/activationDate' to the response with the '200' status
  • added the optional property '/items/carrier/status' to the response with the '200' status
  • added the optional property '/items/provider/lockerName' to the response with the '200' status
  • added the optional property '/items/provider/lockerUid' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • removed '#/components/schemas/carrier, subschema #2' from the '/items/carrier' response property 'allOf' list for the response status '200'
  • removed '#/components/schemas/provider, subschema #2' from the '/items/provider' response property 'allOf' list for the response status '200'
  • the response property '/items/carrier' became required for the status '200'
  • the response property '/items/location' became required for the status '200'
  • the response property '/items/provider' became required for the status '200'
  • the response property '/items/uid' became required for the status '200'
  • the response property 'errorCode' became required for the status '400'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • added the required property '/items/carrier/lockerId' to the response with the '200' status
  • added the required property '/items/carrier/lockerName' to the response with the '200' status
  • added the required property '/items/provider/lockerModel' to the response with the '200' status
  • added the required property '/items/provider/lockerVersion' to the response with the '200' status
  • added the required property '/items/provider/name' to the response with the '200' status
  • added the required property '/items/provider/status' to the response with the '200' status

GET /lockers/providers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

PATCH /lockers/status

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

PATCH /lockers/{uid}

  • ⚠️ added '#/components/schemas/carrier, subschema #2' to the 'carrier' request property 'allOf' list
  • ⚠️ the request property 'metadata/items/key' became required
  • ⚠️ the request property 'metadata/items/value' became required
  • ⚠️ the 'carrier' request property type/format changed from 'object'/'' to ''/''
  • ⚠️ the 'metadata/items/key' request property type/format changed from 'string, null'/'' to 'string'/''
  • ⚠️ the 'metadata/items/value' request property type/format changed from 'string, null'/'' to 'string'/''
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ added '#/components/schemas/features, subschema #2' to the 'features' response property 'oneOf' list for the response status '200'
  • ⚠️ the 'carrier' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ the 'compartmentTypes/items/size' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'features' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • ⚠️ the 'metadata' response's property type/format changed from 'array'/'' to 'array, null'/'' for status '200'
  • ⚠️ the 'provider' response's property type/format changed from ''/'' to 'object'/'' for status '200'
  • ⚠️ removed the request property 'carrier/activationDate'
  • ⚠️ removed the request property 'carrier/lockerId'
  • ⚠️ removed the request property 'carrier/lockerName'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'features/hasPinBarcodeReader' from the response with the '200' status
  • ⚠️ removed the optional property 'features/hasPinPad' from the response with the '200' status
  • ⚠️ removed the optional property 'features/hasScreen' from the response with the '200' status
  • ⚠️ added the new 'undefined' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • added the new optional request property 'provider'
  • added the non-success response with the status '409'
  • added the optional property 'carrier/activationDate' to the response with the '200' status
  • added the optional property 'carrier/status' to the response with the '200' status
  • added the optional property 'provider/lockerName' to the response with the '200' status
  • added the optional property 'provider/lockerUid' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • removed '#/components/schemas/carrier, subschema #2' from the 'carrier' response property 'allOf' list for the response status '200'
  • removed '#/components/schemas/provider, subschema #2' from the 'provider' response property 'allOf' list for the response status '200'
  • the response property 'carrier' became required for the status '200'
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'location' became required for the status '200'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'
  • the response property 'provider' became required for the status '200'
  • the response property 'uid' became required for the status '200'
  • added the required property 'carrier/lockerId' to the response with the '200' status
  • added the required property 'carrier/lockerName' to the response with the '200' status
  • added the required property 'provider/lockerModel' to the response with the '200' status
  • added the required property 'provider/lockerVersion' to the response with the '200' status
  • added the required property 'provider/name' to the response with the '200' status
  • added the required property 'provider/status' to the response with the '200' status

GET /networks

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

DELETE /networks/{uid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the media type 'application/json' for the response with the status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '409'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

GET /networks/{uid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the media type 'application/json' for the response with the status '404'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

DELETE /networks/{uid}/lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the '/items/carrierLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/carrierLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/lockerName' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/networkLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/providerLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '400'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

GET /networks/{uid}/lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the 'content/items/carrierLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/carrierLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/lockerName' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/networkLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/providerLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '400'
  • removed the non-success response with the status '404'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'

POST /networks/{uid}/lockers

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the '/items/carrierLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/carrierLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/lockerName' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/networkLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/providerLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

PATCH /networks/{uid}/lockers/{lockerUid}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the 'carrierLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'carrierLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'lockerName' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'networkLockerStatus' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'providerLockerId' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • added the non-success response with the status '409'
  • added the non-success response with the status '422'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'errorCode' became required for the status '400'
  • the response property 'errorCode' became required for the status '404'
  • the response property 'message' became required for the status '400'
  • the response property 'message' became required for the status '401'
  • the response property 'message' became required for the status '404'

GET /parcel/events/{id}

  • endpoint added

POST /parcel/first-mile/event

  • ⚠️ removed the optional property 'error' from the response with the '400' status
  • ⚠️ removed the optional property 'error' from the response with the '401' status
  • ⚠️ removed the optional property 'event_type' from the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • added the required property 'message' to the response with the '400' status
  • added the required property 'message' to the response with the '401' status

POST /parcel/first-mile/sequence

  • ⚠️ removed the optional property 'error' from the response with the '400' status
  • ⚠️ removed the optional property 'error' from the response with the '401' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • added the required property 'message' to the response with the '400' status
  • added the required property 'message' to the response with the '401' status

POST /parcel/last-mile/event

  • ⚠️ removed the optional property 'error' from the response with the '400' status
  • ⚠️ removed the optional property 'error' from the response with the '401' status
  • ⚠️ removed the optional property 'event_type' from the response with the '200' status
  • ⚠️ removed the optional property 'parcel_id' from the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • added the required property 'message' to the response with the '400' status
  • added the required property 'message' to the response with the '401' status

GET /parcels

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the '/items/allocationType' response's property type/format changed from 'string'/'' to ''/'' for status '200'
  • ⚠️ the '/items/shipmentType' response's property type/format changed from 'string'/'' to ''/'' for status '200'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • ⚠️ added the new 'LOCKED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'LOCKED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_DIMENSIONS_EXCEEDED' enum value to the '/items/dimensionsStatus' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_TO_BE_EXPIRED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_TO_BE_EXPIRED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'UNLOCKED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'UNLOCKED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • removed the non-success response with the status '404'
  • added the optional property '/items/signature' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • added '#/components/schemas/allocation_type, subschema #2' to the '/items/allocationType' response property 'anyOf' list for the response status '200'
  • added '#/components/schemas/shipment_type, subschema #2' to the '/items/shipmentType' response property 'anyOf' list for the response status '200'
  • the response property '/items/carrierParcelId' became required for the status '200'
  • the response property '/items/consignee' became required for the status '200'
  • the response property '/items/dimensionsStatus' became required for the status '200'
  • the response property '/items/isFinal' became required for the status '200'
  • the response property '/items/lockerUid' became required for the status '200'
  • the response property '/items/requiresAccessibleCompartment' became required for the status '200'
  • the response property '/items/shipmentStatus' became required for the status '200'
  • the response property '/items/shipmentUid' became required for the status '200'
  • the response property 'message' became required for the status '401'
  • removed the 'ALTERNATIVE_DELIVERY' enum value from the '/items/shipmentType' response property for the response status '200'
  • removed the 'FIRST_MILE' enum value from the '/items/shipmentType' response property for the response status '200'
  • removed the 'HARD_RESERVATION' enum value from the '/items/allocationType' response property for the response status '200'
  • removed the 'LAST_MILE' enum value from the '/items/shipmentType' response property for the response status '200'
  • removed the 'RETURN' enum value from the '/items/shipmentType' response property for the response status '200'
  • removed the 'SOFT_RESERVATION' enum value from the '/items/allocationType' response property for the response status '200'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '500' status

PATCH /parcels/{parcelId}

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '404' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '404' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • added the non-success response with the status '409'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '404' status
  • added the required property 'error' to the response with the '500' status

PATCH /parcels/{parcelId}/lock

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '404'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '404' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '404' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • added the non-success response with the status '422'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '401'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '404' status
  • added the required property 'error' to the response with the '500' status

GET /v2/parcels

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the 'content/items/allocationType' response's property type/format changed from 'string'/'' to ''/'' for status '200'
  • ⚠️ the 'content/items/shipmentType' response's property type/format changed from 'string'/'' to ''/'' for status '200'
  • ⚠️ for the 'query' request parameter 'page', the min was set to '1.00'
  • ⚠️ for the 'query' request parameter 'pageSize', the min was set to '1.00'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • ⚠️ added the new 'LOCKED' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'LOCKED' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_DIMENSIONS_EXCEEDED' enum value to the 'content/items/dimensionsStatus' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_TO_BE_EXPIRED' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'PARCEL_TO_BE_EXPIRED' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'UNLOCKED' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'UNLOCKED' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • added the non-success response with the status '422'
  • removed the non-success response with the status '404'
  • added the optional property 'content/items/signature' to the response with the '200' status
  • added the optional property 'request_id' to the response with the '401' status
  • added '#/components/schemas/allocation_type, subschema #2' to the 'content/items/allocationType' response property 'anyOf' list for the response status '200'
  • added '#/components/schemas/shipment_type, subschema #2' to the 'content/items/shipmentType' response property 'anyOf' list for the response status '200'
  • the response property 'content/items/carrierParcelId' became required for the status '200'
  • the response property 'content/items/consignee' became required for the status '200'
  • the response property 'content/items/dimensionsStatus' became required for the status '200'
  • the response property 'content/items/isFinal' became required for the status '200'
  • the response property 'content/items/lockerUid' became required for the status '200'
  • the response property 'content/items/requiresAccessibleCompartment' became required for the status '200'
  • the response property 'content/items/shipmentStatus' became required for the status '200'
  • the response property 'content/items/shipmentUid' became required for the status '200'
  • the response property 'message' became required for the status '401'
  • removed the 'ALTERNATIVE_DELIVERY' enum value from the 'content/items/shipmentType' response property for the response status '200'
  • removed the 'FIRST_MILE' enum value from the 'content/items/shipmentType' response property for the response status '200'
  • removed the 'HARD_RESERVATION' enum value from the 'content/items/allocationType' response property for the response status '200'
  • removed the 'LAST_MILE' enum value from the 'content/items/shipmentType' response property for the response status '200'
  • removed the 'RETURN' enum value from the 'content/items/shipmentType' response property for the response status '200'
  • removed the 'SOFT_RESERVATION' enum value from the 'content/items/allocationType' response property for the response status '200'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '500' status

v1.9.0

Released on 2026-10-26. Changes since v1.8.0.

POST /locker/event

  • added the new 'GLS_SI' enum value to the request property 'carrier_name'
  • added the new 'KLEINANZEIGEN_DE' enum value to the request property 'carrier_name'

POST /parcel/first-mile/event

  • added the new 'GLS_SI' enum value to the request property 'carrier_name'
  • added the new 'KLEINANZEIGEN_DE' enum value to the request property 'carrier_name'

POST /parcel/first-mile/sequence

  • added the new 'GLS_SI' enum value to the request property 'carrier_name'
  • added the new 'KLEINANZEIGEN_DE' enum value to the request property 'carrier_name'

POST /parcel/last-mile/event

  • added the new 'GLS_SI' enum value to the request property 'carrier_name'
  • added the new 'KLEINANZEIGEN_DE' enum value to the request property 'carrier_name'

POST /parcels/data

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the 'dimensions/depth' request property's min was set to '1.00'
  • ⚠️ the 'dimensions/height' request property's min was set to '1.00'
  • ⚠️ the 'dimensions/width' request property's min was set to '1.00'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • the response property 'message' became required for the status '401'
  • the response property 'status' became required for the status '200'
  • the response property 'timestamp' became required for the status '200'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '500' status

POST /parcels/data/by-tenant-locker-id

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '400'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '401'
  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '500'
  • ⚠️ the 'dimensions/depth' request property's min was set to '1.00'
  • ⚠️ the 'dimensions/height' request property's min was set to '1.00'
  • ⚠️ the 'dimensions/width' request property's min was set to '1.00'
  • ⚠️ removed the optional property 'errorCode' from the response with the '400' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '401' status
  • ⚠️ removed the optional property 'errorCode' from the response with the '500' status
  • ⚠️ removed the optional property 'message' from the response with the '400' status
  • ⚠️ removed the optional property 'message' from the response with the '500' status
  • added the new optional request property 'codAmount'
  • added the new optional request property 'codCurrency'
  • added the new optional request property 'lockStatus'
  • added the new optional request property 'secondaryShipmentId'
  • added the optional property 'request_id' to the response with the '401' status
  • the response property 'message' became required for the status '200'
  • the response property 'message' became required for the status '401'
  • the response property 'status' became required for the status '200'
  • the response property 'timestamp' became required for the status '200'
  • added the required property 'error' to the response with the '400' status
  • added the required property 'error' to the response with the '500' status

v1.8.0

Released on 2026-09-30. Changes since v1.7.1.

GET /parcels

  • ⚠️ the '/items/labelType' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/referenceCode' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the '/items/shipmentSignature' response's property type/format changed from 'object'/'' to 'object, null'/'' for status '200'
  • ⚠️ added the new 'COURIER_DELIVERY_ERROR' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'COURIER_DELIVERY_ERROR' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'MAINTENANCE_COLLECTED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'MAINTENANCE_COLLECTED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'undefined' enum value to the '/items/labelType' response property for the response status '200'
  • added the optional property '/items/paymentType' to the response with the '200' status

GET /v2/parcels

  • ⚠️ the 'content/items/labelType' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/referenceCode' response's property type/format changed from 'string'/'' to 'string, null'/'' for status '200'
  • ⚠️ the 'content/items/shipmentSignature' response's property type/format changed from 'object'/'' to 'object, null'/'' for status '200'
  • ⚠️ added the new 'COURIER_DELIVERY_ERROR' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'COURIER_DELIVERY_ERROR' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'MAINTENANCE_COLLECTED' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'MAINTENANCE_COLLECTED' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'undefined' enum value to the 'content/items/labelType' response property for the response status '200'
  • added the optional property 'content/items/paymentType' to the response with the '200' status

v1.7.1

Released on 2026-09-01. Changes since v1.7.0.

GET /lockers

  • ⚠️ the response property '/items/location/streetNumber' became optional for the status '200'
  • ⚠️ added the new 'INITIAL' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/provider/allOf[subschema #2]/status' response property for the response status '200'
  • added the new enum value 'INITIAL' to the 'query' request parameter 'status'
  • added the new enum value 'PLANNED' to the 'query' request parameter 'status'

POST /lockers

  • ⚠️ the response property 'location/streetNumber' became optional for the status '201'
  • ⚠️ added the new 'INITIAL' enum value to the 'carrier/allOf[subschema #2]/status' response property for the response status '201'
  • ⚠️ added the new 'PLANNED' enum value to the 'carrier/allOf[subschema #2]/status' response property for the response status '201'
  • ⚠️ added the new 'PLANNED' enum value to the 'provider/allOf[subschema #2]/status' response property for the response status '201'
  • the request property 'location/streetNumber' became optional

GET /lockers/by-carrier-locker-id

  • ⚠️ the response property '/items/location/streetNumber' became optional for the status '200'
  • ⚠️ added the new 'INITIAL' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/provider/allOf[subschema #2]/status' response property for the response status '200'

GET /lockers/by-uid

  • ⚠️ the response property '/items/location/streetNumber' became optional for the status '200'
  • ⚠️ added the new 'INITIAL' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the '/items/provider/allOf[subschema #2]/status' response property for the response status '200'

PATCH /lockers/status

  • added the new 'INITIAL' enum value to the request property 'status'
  • added the new 'PLANNED' enum value to the request property 'status'

PATCH /lockers/{uid}

  • ⚠️ the response property 'location/streetNumber' became optional for the status '200'
  • ⚠️ added the new 'INITIAL' enum value to the 'carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the 'carrier/allOf[subschema #2]/status' response property for the response status '200'
  • ⚠️ added the new 'PLANNED' enum value to the 'provider/allOf[subschema #2]/status' response property for the response status '200'
  • the request property 'location/streetNumber' became optional

GET /parcels

  • ⚠️ added the new 'CONSIGNEE_PAID' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'CONSIGNEE_PAID' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • added the optional property '/items/codAmount' to the response with the '200' status
  • added the optional property '/items/codCurrency' to the response with the '200' status
  • added the optional property '/items/lockStatus' to the response with the '200' status
  • added the optional property '/items/paymentStatus' to the response with the '200' status

POST /parcels/data

  • added the new optional request property 'codAmount'
  • added the new optional request property 'codCurrency'
  • added the new optional request property 'lockStatus'

PATCH /parcels/{parcelId}/lock

  • endpoint added

GET /v2/parcels

  • ⚠️ added the new 'CONSIGNEE_PAID' enum value to the 'content/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'CONSIGNEE_PAID' enum value to the 'content/items/shipmentStatus' response property for the response status '200'
  • added the optional property 'content/items/codAmount' to the response with the '200' status
  • added the optional property 'content/items/codCurrency' to the response with the '200' status
  • added the optional property 'content/items/lockStatus' to the response with the '200' status
  • added the optional property 'content/items/paymentStatus' to the response with the '200' status

v1.7.0

Released on 2026-08-09. Changes since v1.6.8.

POST /locker/event

  • endpoint added

POST /parcel/first-mile/event

  • endpoint added

POST /parcel/first-mile/sequence

  • endpoint added

POST /parcel/last-mile/event

  • endpoint added

v1.6.8

Released on 2026-07-24. Changes since v1.6.6.

GET /lockers

  • ⚠️ removed the required property '/items/owner' from the response with the '200' status
  • added the optional property '/items/ownedByCarrier' to the response with the '200' status

POST /lockers

  • ⚠️ removed the required property 'owner' from the response with the '201' status
  • added the optional property 'ownedByCarrier' to the response with the '201' status

GET /lockers/by-carrier-locker-id

  • ⚠️ removed the required property '/items/owner' from the response with the '200' status
  • added the optional property '/items/ownedByCarrier' to the response with the '200' status

GET /lockers/by-uid

  • ⚠️ removed the required property '/items/owner' from the response with the '200' status
  • added the optional property '/items/ownedByCarrier' to the response with the '200' status

PATCH /lockers/{uid}

  • ⚠️ removed the required property 'owner' from the response with the '200' status
  • added the optional property 'ownedByCarrier' to the response with the '200' status

v1.6.6

Released on 2026-07-24. Changes since v1.6.5.

POST /parcels/data

  • added the new optional request property 'secondaryShipmentId'

GET /v2/parcels

  • ⚠️ removed the required property 'totalElements' from the response with the '200' status

v1.6.5

Released on 2026-07-17. Changes since v1.6.4.

No API changes.

v1.6.4

Released on 2026-07-17. Changes since v1.6.3.

No API changes.

v1.6.3

Released on 2026-07-17. Changes since v1.6.2.

GET /locker-groups

  • endpoint added

POST /locker-groups

  • endpoint added

GET /locker-groups/types

  • endpoint added

DELETE /locker-groups/{uid}

  • endpoint added

GET /locker-groups/{uid}

  • endpoint added

PATCH /locker-groups/{uid}

  • endpoint added

DELETE /locker-groups/{uid}/lockers

  • endpoint added

POST /locker-groups/{uid}/lockers

  • endpoint added

GET /lockers

  • ⚠️ removed the optional property '/items/ownedByCarrier' from the response with the '200' status
  • added the optional property '/items/provider/allOf[subschema #2]/lockerName' to the response with the '200' status
  • added the required property '/items/owner' to the response with the '200' status

POST /lockers

  • ⚠️ removed the optional property 'ownedByCarrier' from the response with the '201' status
  • added the new optional request property 'lockerGroups'
  • added the optional property 'provider/allOf[subschema #2]/lockerName' to the response with the '201' status
  • added the required property 'owner' to the response with the '201' status

GET /lockers/by-carrier-locker-id

  • ⚠️ removed the optional property '/items/ownedByCarrier' from the response with the '200' status
  • added the optional property '/items/provider/allOf[subschema #2]/lockerName' to the response with the '200' status
  • added the required property '/items/owner' to the response with the '200' status

GET /lockers/by-uid

  • ⚠️ removed the optional property '/items/ownedByCarrier' from the response with the '200' status
  • added the optional property '/items/provider/allOf[subschema #2]/lockerName' to the response with the '200' status
  • added the required property '/items/owner' to the response with the '200' status

PATCH /lockers/{uid}

  • ⚠️ removed the optional property 'ownedByCarrier' from the response with the '200' status
  • added the new optional request property 'lockerGroups'
  • added the optional property 'provider/allOf[subschema #2]/lockerName' to the response with the '200' status
  • added the required property 'owner' to the response with the '200' status

GET /parcels

  • added the optional property '/items/secondaryShipmentId' to the response with the '200' status

GET /v2/parcels

  • endpoint added

v1.6.2

Released on 2026-06-09. Changes since v1.6.1.

No API changes.

v1.6.1

Released on 2026-06-08. Changes since v1.6.0.

No API changes.

v1.6.0

Released on 2026-06-04. Changes since v1.5.1.

GET /lockers

  • ⚠️ the response property '/items/carrier/allOf[#/components/schemas/carrier]/activationDate' became optional for the status '200'
  • added the optional property '/items/location/type' to the response with the '200' status

POST /lockers

  • ⚠️ the response property 'carrier/allOf[#/components/schemas/carrier]/activationDate' became optional for the status '201'
  • added the new optional request property 'location/type'
  • the request property 'carrier/activationDate' became optional
  • added the optional property 'location/type' to the response with the '201' status

GET /lockers/by-carrier-locker-id

  • endpoint added

GET /lockers/by-uid

  • ⚠️ the response property '/items/carrier/allOf[#/components/schemas/carrier]/activationDate' became optional for the status '200'
  • added the optional property '/items/location/type' to the response with the '200' status

PATCH /lockers/{uid}

  • ⚠️ the response property 'carrier/allOf[#/components/schemas/carrier]/activationDate' became optional for the status '200'
  • added the new optional request property 'location/type'
  • the request property 'carrier/activationDate' became optional
  • added the optional property 'location/type' to the response with the '200' status

GET /parcels

  • added the optional property '/items/labelType' to the response with the '200' status
  • added the optional property '/items/referenceCode' to the response with the '200' status

v1.5.1

Released on 2026-04-15. Changes since v1.5.0.

GET /lockers

  • ⚠️ removed the required property '/items/provider/allOf[#/components/schemas/provider]/status' from the response with the '200' status
  • added the required property '/items/provider/allOf[subschema #2]/status' to the response with the '200' status

POST /lockers

  • ⚠️ removed the required property 'provider/allOf[#/components/schemas/provider]/status' from the response with the '201' status
  • ⚠️ removed the request property 'provider/status'
  • added the required property 'provider/allOf[subschema #2]/status' to the response with the '201' status

GET /lockers/by-uid

  • ⚠️ removed the required property '/items/provider/allOf[#/components/schemas/provider]/status' from the response with the '200' status
  • added the required property '/items/provider/allOf[subschema #2]/status' to the response with the '200' status

PATCH /lockers/{uid}

  • ⚠️ removed the required property 'provider/allOf[#/components/schemas/provider]/status' from the response with the '200' status
  • added the required property 'provider/allOf[subschema #2]/status' to the response with the '200' status

v1.5.0

Released on 2026-04-15. Changes since v1.4.0.

GET /lockers

  • removed 'subschema #1, subschema #2' from the '/items/openingHours' response property 'allOf' list for the response status '200'
  • removed 'subschema #1, subschema #2' from the '/items/openingHours/exceptions/items/' response property 'oneOf' list for the response status '200'

POST /lockers

  • removed 'subschema #1, subschema #2' from the 'openingHours' response property 'allOf' list for the response status '201'
  • removed 'subschema #1, subschema #2' from the 'openingHours/exceptions/items/' response property 'oneOf' list for the response status '201'

GET /lockers/by-uid

  • removed 'subschema #1, subschema #2' from the '/items/openingHours' response property 'allOf' list for the response status '200'
  • removed 'subschema #1, subschema #2' from the '/items/openingHours/exceptions/items/' response property 'oneOf' list for the response status '200'

PATCH /lockers/{uid}

  • removed 'subschema #1, subschema #2' from the 'openingHours' response property 'allOf' list for the response status '200'
  • removed 'subschema #1, subschema #2' from the 'openingHours/exceptions/items/' response property 'oneOf' list for the response status '200'

v1.4.0

Released on 2026-04-14. Changes since v1.3.4.

GET /lockers

  • ⚠️ added the new 'ULARGE' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'UULARGE' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XMEDIUM' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XSMALL' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XXSMALL' enum value to the '/items/compartmentTypes/items/size' response property for the response status '200'
  • added the new enum value 'ULARGE' to the 'query' request parameter 'compartmentSize'
  • added the new enum value 'UULARGE' to the 'query' request parameter 'compartmentSize'
  • added the new enum value 'XMEDIUM' to the 'query' request parameter 'compartmentSize'
  • added the new enum value 'XSMALL' to the 'query' request parameter 'compartmentSize'
  • added the new enum value 'XXSMALL' to the 'query' request parameter 'compartmentSize'
  • added the optional property '/items/openingHours' to the response with the '200' status
  • added the optional property '/items/ownedByCarrier' to the response with the '200' status
  • added the required property '/items/provider/allOf[#/components/schemas/provider]/status' to the response with the '200' status

POST /lockers

  • ⚠️ added the new required request property 'provider/status'
  • ⚠️ added the new 'ULARGE' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • ⚠️ added the new 'UULARGE' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • ⚠️ added the new 'XMEDIUM' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • ⚠️ added the new 'XSMALL' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • ⚠️ added the new 'XXSMALL' enum value to the 'compartmentTypes/items/size' response property for the response status '201'
  • added the non-success response with the status '409'
  • added the optional property 'openingHours' to the response with the '201' status
  • added the optional property 'ownedByCarrier' to the response with the '201' status
  • added the required property 'provider/allOf[#/components/schemas/provider]/status' to the response with the '201' status

GET /lockers/by-uid

  • endpoint added

PATCH /lockers/status

  • ⚠️ the response's body type/format changed from ''/'' to 'object'/'' for status '409'

PATCH /lockers/{uid}

  • ⚠️ added the new 'ULARGE' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'UULARGE' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XMEDIUM' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XSMALL' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • ⚠️ added the new 'XXSMALL' enum value to the 'compartmentTypes/items/size' response property for the response status '200'
  • added the optional property 'openingHours' to the response with the '200' status
  • added the optional property 'ownedByCarrier' to the response with the '200' status
  • added the required property 'provider/allOf[#/components/schemas/provider]/status' to the response with the '200' status

GET /networks

  • endpoint added

DELETE /networks/{uid}

  • endpoint added

GET /networks/{uid}

  • endpoint added

DELETE /networks/{uid}/lockers

  • endpoint added

GET /networks/{uid}/lockers

  • endpoint added

POST /networks/{uid}/lockers

  • endpoint added

PATCH /networks/{uid}/lockers/{lockerUid}

  • endpoint added

GET /parcels

  • ⚠️ removed the optional property '/items/signature' from the response with the '200' status
  • ⚠️ added the new 'BOOKING_CANCELLATION_FAILED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_CANCELLATION_FAILED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_EXPIRED' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_EXPIRED' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_REJECTED_NO_ACCESSIBLE_COMPARTMENT' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_REJECTED_NO_ACCESSIBLE_COMPARTMENT' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_REJECTED_NO_FREE_FITTING_COMPARTMENT' enum value to the '/items/events/items/eventType' response property for the response status '200'
  • ⚠️ added the new 'BOOKING_REJECTED_NO_FREE_FITTING_COMPARTMENT' enum value to the '/items/shipmentStatus' response property for the response status '200'
  • added the optional property '/items/providerLockerId' to the response with the '200' status
  • added the optional property '/items/providerName' to the response with the '200' status
  • added the optional property '/items/requiresAccessibleCompartment' to the response with the '200' status
  • added the optional property '/items/shipmentSignature' to the response with the '200' status

POST /parcels/data

  • added the new optional request property 'requiresAccessibleCompartment'

POST /parcels/data/by-tenant-locker-id

  • added the new optional request property 'requiresAccessibleCompartment'

v1.3.4

Released on 2026-02-24. Changes since v1.3.3.

No API changes.

v1.3.3

Released on 2025-12-18. Changes since v1.3.2.

GET /parcels

  • added the optional property '/items/isFinal' to the response with the '200' status

v1.3.2

Released on 2025-11-14.

The first release with a published API description.

Last modified on